package com.atlassian.bitbucket.io;

import java.io.IOException;
import java.io.Reader;

/**
 */
public class ReaderLineReader extends LineReader {
    private final Reader reader;

    public ReaderLineReader(Reader in) {
        reader = in;
    }

    public ReaderLineReader(Mode fileMode, Reader reader) {
        super(fileMode);
        this.reader = reader;
    }

    protected int read() throws IOException {
        return reader.read();
    }

    public void close() throws IOException {
        reader.close();
    }
}
